Package com.sun.jna

## Class ELFAnalyser.ELFSectionHeaderEntry

- java.lang.Object
- - com.sun.jna.ELFAnalyser.ELFSectionHeaderEntry

- Enclosing class:
    ELFAnalyser

      static class ELFAnalyser.ELFSectionHeaderEntry
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ELFSectionHeaderEntry​(boolean _64bit, java.nio.ByteBuffer sectionHeaderData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getFlags()` |
    `java.lang.String` | `getName()` |
    `int` | `getNameOffset()` |
    `int` | `getOffset()` |
    `int` | `getSize()` |
    `int` | `getType()` |
    `void` | `setName​(java.lang.String name)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ELFSectionHeaderEntry

          public ELFSectionHeaderEntry​(boolean _64bit,
                                       java.nio.ByteBuffer sectionHeaderData)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getNameOffset

          public int getNameOffset()

    - #### getType

          public int getType()

    - #### getFlags

          public int getFlags()

    - #### getOffset

          public int getOffset()

    - #### getSize

          public int getSize()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`